Subject: Re: [regext] Éric Vyncke's Discuss on draft-ietf-regext-rfc7484bis-04: (with DISCUSS and COMMENT)

From: Marc Blanchet <[email-masked]>
Date: Tue, 25 Jan 2022 17:25:04 -0500

> Le 1 déc. 2021 à 05:39, Éric Vyncke via Datatracker <[email-masked]> a écrit :
> 
> Éric Vyncke has entered the following ballot position for
> draft-ietf-regext-rfc7484bis-04: Discuss
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7484bis/
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> Thank you for the work put into this document. Special congratulations for
> having THREE implementations including one by the author.
> 
> Please find below one blocking DISCUSS point (trivial to address), some
> non-blocking COMMENT points (but replies would be appreciated even if only for
> my own education). I am also sympathetic to Ben Kaduk's DISCUSS point.
> 
> Special thanks to Jasdip Singh for the shepherd's write-up including the
> section about the WG consensus.
> 
> I hope that this helps to improve the document,
> 
> Regards,
> 
> -éric
> 
> -- Section 5.2 --
> The end of this section uses
> "https://example.net/rdaprir2/ip/2001:0db8:1000::/48" (not RFC 5952 compatible
> with the leading zero in front of "db8") as an example but this example seems
> to contradict section 3.1.1 of RFC 9082.

<MB>Done in -05</MB>

> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> == COMMENTS ==
> 
> -- Section 1 --
> No need to reply, but I really appreciate the author's use of the past tense in
> "Per this document, IANA has created new registries" as opposed to similar
> documents using the future tense. This document will age well ;-)
> 

<MB>no action</MB>

> -- Section 3 --
> "be retrieved via HTTP from locations specified by IANA" should this document
> include the IANA location ?
> 

<MB>To my knowledge, it has been the policy of IANA/IETF to not publish the location
URL of the registries in RFCs</MB>

> Should a "real" date be used rather than "YYYY-MM-DDTHH:MM:SSZ" ? I.e., the
> syntax is specified later anyway so let's use a real example ? Later examples
> in section 5 use "real" dates but not those in section 4 ;-)

<MB>Done in -05</MB>

> 
> -- Section 5.2 --
> Should RFC 5952 also be specified as IPv6 representation in addition to RFC
> 4291 ?

<MB>Done in -05</MB>

> -- Section 5.3 --
> The IANA allocation for documentation ASN is rather short (6 ASNs !), so, I do
> not mind too much that the example in this section uses private ASN space but
> suggest anyway to limit the example to the documentation ASNs.

<MB>Private ASN space enables the document to provide various cases. Documentation ASN space is too short to properly show the various cases</MB>

THanks, Regards, Marc.

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 25 Jan 2022 22:36:45 +0000

Merci Marc, for all your detailed answers and addressing the blocking DISCUSS point.

I have now cleared my DISCUSS ballot,

Good job by the authors, the shepherd, and the WG !

Regards

-éric

From: Marc Blanchet <[email-masked]>
Date: Tuesday, 25 January 2022 at 23:25
To: Eric Vyncke <[email-masked]>
Cc: The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, regext-chairs <[email-masked]>, regext <[email-masked]>, Jasdip Singh <[email-masked]>
Subject: Re: Éric Vyncke's Discuss on draft-ietf-regext-rfc7484bis-04: (with DISCUSS and COMMENT)

Le 1 déc. 2021 à 05:39, Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>> a écrit :

Regards,

-éric

-- Section 5.2 --

<MB>Done in -05</MB>

== COMMENTS ==

-- Section 1 --

<MB>no action</MB>

-- Section 3 --

<MB>Done in -05</MB>

-- Section 5.2 --

<MB>Done in -05</MB>

-- Section 5.3 --

THanks, Regards, Marc.